using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace zadatak1 {
    public partial class Form1 : Form {
        private int brojDana;
        private Point centar;

        public Form1() {
            InitializeComponent();
            panel.CreateGraphics();
            danRodjenja.Value = new DateTime(1985, 12, 24);
            centar = new Point(panel.ClientRectangle.Width / 2, panel.ClientRectangle.Height / 2);
        }

        private void panel_Paint(object sender, PaintEventArgs e) {            
            panel.BackColor = Color.White;
            CrtajKoordianateSistema(e.Graphics);
            CrtajBiosinus(Pens.Red, 25, brojDana, e.Graphics);
            CrtajBiosinus(Pens.Green, 30, brojDana, e.Graphics);
            CrtajBiosinus(Pens.Turquoise, 33, brojDana, e.Graphics);
        }

        private void button1_Click(object sender, EventArgs e) {
            //this.Height = panel.Location.Y + panel.Height + 50;
            TimeSpan raz = danasnjiDatum.Value - danRodjenja.Value;
            brojDana = raz.Days;
            this.Text = "Razlika dana: " + brojDana;
            panel.Invalidate();
        }

        private void CrtajKoordianateSistema(Graphics g) {
            Pen pen = new Pen(Brushes.Blue, 3);
            g.DrawLine(pen, 0, panel.Height / 2, panel.Width, panel.Height / 2);
            g.DrawLine(pen, panel.Width / 2, 0, panel.Width / 2, panel.Height);
            pen.Dispose();
        }

        private void CrtajBiosinus(Pen p, int T, int brojDana, Graphics g) {
            Point[] points = new Point[2*centar.X];
            int offset = brojDana % T;
            for (int i = -centar.X; i < centar.X; i++) {
                int x = i;
                int y = -(int)((centar.Y-1) * Math.Sin((offset+i)*Math.PI/T));
                points[i + centar.X] = new Point(x,y);
                points[i + centar.X].Offset(centar);
            }
            g.DrawLines(p, points);
        }

        private void Form1_ClientSizeChanged(object sender, EventArgs e) {
            panel.Location = new Point(10, 60);
            panel.Size = new Size(ClientRectangle.Width - 20, ClientRectangle.Height - 70);
            centar = new Point(panel.ClientRectangle.Width / 2, panel.ClientRectangle.Height / 2);
            panel.Refresh();
        }
    }
}